キャンペーン通知
GET https://notifyc.com/api/notifications/
curl --request GET \
--url 'https://notifyc.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:name。 |
| is_enabled | オプション ブール値 | |
| type | オプション 文字列 | 許可された値: informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, informational_bar, image, collector_bar, coupon_bar, button_bar, collector_modal, collector_two_modal, button_modal, text_feedback, engagement_links, whatsapp_chat, contact_us, informational_mini, informational_bar_mini, badge |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:notification_id, datetime, last_datetime, name, impressions, hovers, clicks, form_submissions。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"campaign_id": 1,
"notification_key": "f56d2208dd5e9d9809c158e1d6a77f53",
"name": "Example",
"type": "reviews",
"settings": {},
"impressions": 0,
"hovers": 0,
"clicks": 0,
"form_submissions": 0,
"is_enabled": true,
"datetime": "2026-05-15 12:19:50",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notifyc.com/api/notifications?page=1",
"last": "https://notifyc.com/api/notifications?page=1",
"next": null,
"prev": null,
"self": "https://notifyc.com/api/notifications?page=1"
}
}
GET https://notifyc.com/api/notifications/{notification_id}
curl --request GET \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"campaign_id": 1,
"notification_key": "f56d2208dd5e9d9809c158e1d6a77f53",
"name": "Example",
"type": "reviews",
"settings": {},
"impressions": 0,
"hovers": 0,
"clicks": 0,
"form_submissions": 0,
"is_enabled": true,
"datetime": "2026-05-15 12:19:50",
}
}
POST https://notifyc.com/api/notifications
| パラメータ | 詳細 | 説明 |
|---|---|---|
| campaign_id | 必須 整数 | - |
| type | 必須 文字列 | 許可された値: informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, informational_bar, image, collector_bar, coupon_bar, button_bar, collector_modal, collector_two_modal, button_modal, text_feedback, engagement_links, whatsapp_chat, contact_us, informational_mini, informational_bar_mini, badge |
| name | オプション 文字列 | - |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://notifyc.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
--url 'https://notifyc.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
POST https://notifyc.com/api/notifications/{notification_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | - |
| is_enabled | オプション ブール値 | - |
| trigger_all_pages | オプション ブール値 | - |
| display_trigger | オプション 文字列 |
許可された値: delay, time_on_site, pageviews, inactivity, exit_intent, scroll, click, hover |
| display_value | オプション 文字列 | - |
| display_delay_type_after_close | オプション 文字列 |
許可された値: time_on_site, pageviews |
| display_delay_value_after_close | オプション 整数 | - |
| display_frequency | オプション 文字列 |
許可された値: all_time, once_per_session, once_per_browser |
| direction | オプション 文字列 |
許可された値: rtl, ltr |
| display_continents | オプション 配列 文字列 | - |
| display_countries | オプション 配列 文字列 | - |
| display_languages | オプション 配列 文字列 | - |
| display_operating_systems | オプション 配列 文字列 | - |
| display_browsers | オプション 配列 文字列 | - |
| display_cities | オプション 配列 文字列 | - |
| display_mobile | オプション ブール値 | - |
| display_desktop | オプション ブール値 | - |
| schedule | オプション ブール値 | - |
| start_date | オプション 文字列 | - |
| end_date | オプション 文字列 | - |
| display_duration | オプション 整数 | - |
| display_position | オプション 文字列 |
許可された値: top_left, top_center, top_right, middle_left, middle_center, middle_right, bottom_left, bottom_center, bottom_right, top, bottom, top_floating, bottom_floating |
| display_close_button | オプション ブール値 | - |
| close_button_color | オプション 文字列 | - |
| dark_mode_close_button_color | オプション 文字列 | - |
| display_branding | オプション ブール値 | - |
| shadow | オプション 文字列 |
許可された値: , subtle, feather, 3d, layered |
| border_width | オプション 整数 | 許可された値: 0, 1, 2, 3, 4, 5 |
| internal_padding | オプション 整数 | 許可された値: 5-25 |
| background_blur | オプション 整数 | 許可された値: 0-30 |
| custom_css | オプション 文字列 | - |
| hover_animation | オプション 文字列 |
許可された値: , fast_scale_up, slow_scale_up, fast_scale_down, slow_scale_down |
| on_animation | オプション 文字列 |
許可された値: fadeIn, slideInUp, slideInDown, zoomIn, bounceIn |
| off_animation | オプション 文字列 |
許可された値: fadeOut, slideOutUp, slideOutDown, zoomOut, bounceOut |
| animation | オプション 文字列 |
許可された値: , heartbeat, bounce, flash, pulse |
| animation_interval | オプション 整数 | - |
| font | オプション 文字列 |
許可された値: inherit, Arial, Verdana, Helvetica, Tahoma, Trebuchet MS, Times New Roman, Georgia, Courier New, Monaco, Comic Sans MS, Courier, Impact, Futura, Luminari, Baskerville, Papyrus |
| border_radius | オプション 文字列 |
許可された値: straight, rounded, highly_rounded, round |
| dark_mode_is_enabled | オプション ブール値 | |
| notifications | オプション 配列 | 利用可能な時期: type = email_collector, collector_bar, collector_modal, collector_two_modal, conversions, conversions_counter, countdown_collector, request_collector, text_feedback 通知ハンドラーID |
| translations[input_key][index]['key'] | オプション 文字列 | Available for all the marked for translation fields. |
| translations[input_key][index]['value'] | オプション 文字列 | Available for all the marked for translation fields. |
| data_trigger_auto | オプション ブール値 | 利用可能な時期: type = conversions counter |
| data_trigger_auto_type[index] | オプション 配列 文字列 | 利用可能な時期: type = conversions 許可された値: exact, contains, starts_with, ends_with |
| data_trigger_auto_value[index] | オプション 配列 文字列 | 利用可能な時期: type = conversions |
curl --request POST \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
DELETE https://notifyc.com/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \